#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const yargs = require("yargs");
function gatherOptions() {
    return yargs
        .usage(`usage: $0 [options]
negate any boolean option by prepending --no-`)
        .option("source", {
        type: "string",
        demandOption: true
    }).option("user", {
        type: "string",
        demandOption: true
    }).option("token", {
        type: "string",
        demandOption: true
    }).option("package", {
        type: "string",
        demandOption: true
    }).argv;
}
(async function main() {
    const args = gatherOptions();
    await (0, index_1.testNugetCredentials)(args);
})();
