"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testNugetCredentials = testNugetCredentials;
// test-nuget-credentials module main file
const node_nuget_client_1 = require("node-nuget-client");
async function testNugetCredentials(opts) {
    const client = new node_nuget_client_1.NugetClient(opts.source, opts.user, opts.token);
    try {
        await client.fetchPackageInfo(opts.package);
        console.log("Congratulations! Your nuget credentials are valid!");
    }
    catch (e) {
        console.error(`Error: unable to query package '${opts.package}':\n${e}`);
    }
}
